RuleOp (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bbn.openmap.omGraphics.rule
Enum RuleOp

    java.lang.Object
      java.lang.Enum<RuleOp>
          com.bbn.openmap.omGraphics.rule.RuleOp

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<RuleOp>

    public enum RuleOp

extends java.lang.Enum<RuleOp>

The RuleOp class (operation) is used by the Rules to evaluate a rule key value against a OMGraphics key value.

Author:
  dietrick

Enum Constant Summary
`ALL` all: all (everything passes rule)
`ENDS_WITH` ends: ends with
`EQUALS` equals: equals
`GREATER_THAN` gt: greater than
`GREATER_THAN_EQUALS` gte: greater than or equals
`LESS_THAN` lt: less than
`LESS_THAN_EQUALS` lte: less than or equals
`NONE` noop: no-op (nothing passes rule)
`NOT_EQUALS` ne: not equals
`STARTS_WITH` starts: starts with

Field Summary
`protected java.lang.String` | `description`
`protected java.lang.String` | `propertyNotation`

Method Summary
`abstract boolean` | `compare(int keyValcompareResult)`
`boolean` | `evaluate(java.lang.Object key, java.lang.Object val)`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getPropertyNotation()`
`static RuleOp` | `resolve(java.lang.String opString)`
`static RuleOp` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static RuleOp[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EQUALS

    public static final RuleOp EQUALS

  equals: equals

### LESS_THAN

    public static final RuleOp LESS_THAN

  lt: less than

### LESS_THAN_EQUALS

    public static final RuleOp LESS_THAN_EQUALS

  lte: less than or equals

### GREATER_THAN

    public static final RuleOp GREATER_THAN

  gt: greater than

### GREATER_THAN_EQUALS

    public static final RuleOp GREATER_THAN_EQUALS

  gte: greater than or equals

### NOT_EQUALS

    public static final RuleOp NOT_EQUALS

  ne: not equals

### NONE

    public static final RuleOp NONE

  noop: no-op (nothing passes rule)

### ALL

    public static final RuleOp ALL

  all: all (everything passes rule)

### STARTS_WITH

    public static final RuleOp STARTS_WITH

  starts: starts with

### ENDS_WITH

    public static final RuleOp ENDS_WITH

  ends: ends with

Field Detail

### description

    protected java.lang.String description

### propertyNotation

    protected java.lang.String propertyNotation

Method Detail

### values

    public static RuleOp[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (RuleOp c : RuleOp.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static RuleOp valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### evaluate

    public boolean evaluate(java.lang.Object key,
                            java.lang.Object val)

### compare

    public abstract boolean compare(int keyValcompareResult)

### resolve

    public static RuleOp resolve(java.lang.String opString)

### getDescription

    public java.lang.String getDescription()

### getPropertyNotation

    public java.lang.String getPropertyNotation()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details